CHANGELOG
---------
- **2017-06-20**: 2.2.1
  - Bugfixes
    - Fix `client.authorize_url`
    - Fix OAuth2 Sintra demo
- **2017-06-05**: 2.2.0
  - Additions
    - Generic Multipart helper
- **2017-04-01**: 2.1.0
  - Additions
    - Add SMS/MMS helper and demo
  - Update
    - Refactor Fax helper
- **2016-12-28**: 2.0.2
  - Update
    - Update to add retry for `504` error code as default in addition to `429`, `503`
- **2016-12-28**: 2.0.1
  - Minor fixes
- **2016-12-28**: 2.0.0
  - Breaking Changes
    - New block-based config, replacing old method param and env config
  - Additions
    - Add auto-retry request using `FaradayMiddleware::Request::Retry`
    - Add configurable logger
  - Update
    - Update `pubnub` dependency to `4.0.16` from `3.8.x`
    - Update `rake` dependency to `12.x.x` from `11.x.x`
    - Update gemspec to include dependency versions
  - Bugfixes
    - Fix `logger.level` default setting
- **2016-09-05**: 1.3.4
  - Bugfixes
    - Fix `RingCentralSdk::REST::Subscription` renewal bug
- **2016-09-04**: 1.3.2 & 1.3.3
  - Bugfixes
    - Fix `RingCentralSdk::REST::Subscription` renewal bug
- **2016-08-24**: 1.3.1
  - Updates
    - Lock PubNub dependency to 3.x due to back compat issue with 4.x
- **2016-08-23**: 1.3.0
  - Additions
    - Add OAuth 2.0 parameter support for `authorize_(code|password|user)` methods
  - Bugfixes
    - Fix `Client#token` to return token used by `FaradayMiddleware::OAuth2Refresh`
- **2016-06-01**: 1.2.3
  - Updates
    - Update subscription for new header requirement
- **2016-05-30**: 1.2.2
  - Additions
    - Add `RingCentralSdk::REST::Request::Fax` to support all `MIME::Media` MIME parts
    - Add docs for call queue add / remove agents
    - Add docs for fax `multipart/form-data` support
    - Add demo for fax custom cover page
- **2016-04-23**: 1.2.1
  - Updates
    - Update `RingCentral::REST::Client` `app_config =` to `set_app_config`
- **2016-04-23**: 1.2.0
  - Additions
    - Add `RingCentral::REST::Client` custom instance headers support
    - Add `RingCentral::REST::Client` `attr_reader` for `app_config`
    - Add docs for Answering Rules
  - Updates
    - Update Pubnub dependency to 3.8.0 from 3.7.3
  - Removals
    - Deprecate Ruby 1.9.3 due to `mime-types-data` (3.2016.0221) requiring Ruby >= 2.0
- **2016-02-13**: 1.1.1
  - Additions
    - Add `client.send_request` hash support in addition to `Request::Base` object
    - Add documentation / FAQ for fax `to.name` attribute
  - Bugfixes
    - Fix `RingCentralSdk::REST::Cache::Extensions` bug - old client
    - Fix `RingCentralSdk::REST::Request::Simple` bug - initialize body
- **2016-02-07**: 1.1.0
  - Add Subscription to Retrieve New Messages functionality
    - `./lib`
      - Add `RingCentralSdk::REST::Event`
      - Add `RingCentralSdk::REST::MessagesRetriever`
      - Add `RingCentralSdk::REST::Request::Simple`
      - Update `RingCentralSdk::REST::Client` - update `send_request`
      - Update `RingCentralSdk::REST::Request::Base` - add `headers`
    - `./scripts`
      - Add `scripts/fax_download.rb` demo script
      - Add `scripts/fax_download_new.rb` demo script
      - Add `scripts/sms_to_chat.rb` demo script to send inbound SMS to chat
- **2016-01-26**: 1.0.0
  - Major refactor focusing on naming changes to improve consistency
    - All code moved into `RingCentralSdk::REST` namespace
    - Update: rename `RingCentralSdk::Platform` to `RingCentralSdk::REST::Client`
    - Update: rename `RingCentralSdk::Platform::client` to `RingCentralSdk::REST::Client::http`
    - Update: rename `RingCentralSdk::Helpers` namespace to `RingCentralSdk::Request`
  - Add `RingCentralSdk::REST::Config` to support `dotenv` config files
    - Add `RingCentralSdk::REST::Config` reads dotenv files
    - Add `scripts/account-extensions.rb` script
    - Update sample scripts to use new Config object
  - Add `RingCentral::REST::Messages`, `RingCentral::REST::Messages::MessagesSMS` and `RingCentral::REST::Messages::MessagesFax`
  - Update `RingCentralSdk::REST::Request::Fax` helper for nicer interface, formerly `RingCentralSdk::Helpers::Fax`
- **2016-01-22**: 0.5.2
  - Add Call Queue Management support
    - Add `RingCentralSdk::Cache::Extensions`
    - Add `RingCentralSdk::Helpers::ExtensionPresence`
    - Add Call Queue Member Status mydocs documentation
- **2015-12-08**: 0.5.1
  - Add call recording transcription demo script via VoiceBase
  - Fix PubNub unsubscribe bug
  - Fix fax helper to support UTF-8 metadata with file attachment
  - Update tests to support access token without refresh token
  - Update sample scripts credentials file format to be more scalable
- **2015-10-18**: 0.5.0
  - Add stubbed tests via `mocha`
  - Update naming and cleanup interface
    - Add `RingCentralSdk.new()` sugar method
    - Update `RingCentralSdk::RC_SERVER_PRODUCTION` url from `RingCentralSdk::Sdk::RC_SERVER_Production`
    - Delete `lib/ringcentral_sdk/sdk.rb` file and `RingCentralSdk::Sdk` class
    - Delete `lib/ringcentral_sdk/version.rb` file
    - Delete `VERSION.txt` file
- **2015-10-15**: 0.4.0
  - Add OAuth `authorization_code` support
    - `./lib`
      - Add 3-Legged OAuth support via platform `authorize_url` and `authorize_code` methods
      - Update SDK initialization by converting optional params to options hash
      - Update `RingCentralSdk::Platform::Platform` to `RingCentralSdk::Platform`
    - `./scripts`
      - Add `oauth2-sinatra` demo app in `scripts` directory
      - Add `call_recording_download.rb` demo script
      - Add `rc-credentials.json` separate demo credentials file
      - Update `fax_send.rb` demo script with name change
- **2015-10-07**: 0.3.0
  - Add subscription support via PubNub
  - Add `ruby-head`, `jruby`, `jruby-head`, and `rbx-2` to Travis CI
  - Remove Ruby 1.8.7 support due to `hitimes` requirement in `pubnub` and `eventmachine`
- **2015-09-14**: 0.2.0
  - Refactor platform class to remove `authorized` method in favor of `set_token`
  - Add `User-Agent` header support
  - Add `RingCentralSdk::VERSION`
  - Update `README.md` to include token reuse
- **2015-09-14**: 0.1.4
  - Add OAuth2 token reuse support
- **2015-08-29**: 0.1.3
  - Add `attr_reader` for `platform.client`
- **2015-05-31**: 0.1.2
  - Add Ruby 1.8.7 support
  - Add CI for Ruby 2.2.0 & 2.1.6: 2.2.2, 2.2.0, 2.1.6, 2.1.0, 2.0.0, 1.9.3, 1.8.7
- **2015-05-31**: 0.1.1
  - Add Ruby 2.2.2 support
- **2015-05-31**: 0.1.0
  - Add OAuth2 token refresh
  - Add `OAuth2::AccessToken` support
  - Add Code Climate hook
- **2015-05-19**: 0.0.4
  - Add `RingCentralSdk::Helpers::Request` as request helpers base class
  - Add `sdk.request()` and `platform.request()` methods to handle request helpers
  - Update fax helper to use file mime-type in preference to generic octet-stream
  - Add mkdocs and Read the Docs documentation
  - Add Travis CI and Coveralls hooks
- **2015-05-14**: 0.0.3
  - First public release
- **2015-03-08**: 0.0.2
  - Convert methods from camelCase to under_scores
- **2015-03-07**: 0.0.1
  - Initial release
